---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/07_Cantellos_shop/Anim/Cantello_Laura_figure/"
---------------------------------------------------------------------------------------
createCompositionman = nil
---------------------------------------------------------------------------------------
createCompositionman = function()
	local compositionman = CreateCompositionSequence()
	local compositionDuration = 4
	compositionman:setDuration(compositionDuration)
	compositionman:setName("compositionman" )
	compositionman:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer close_eyes.png/1
	element = CreateCompositionElement(PREFIX_PATH.."close_eyes.png")
	element:setName("close_eyes.png/1")
	compositionman:addElement(element)
	element:setHotSpot(16, 6)
	compositionman:registerParentInfo("close_eyes.png/1", "head_man.png/2")
	element:setXY(15, 26.75)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 0.58333333333333, 0)
	effector:setKey(_TRACK_O, 0.625, 1)
	effector:setKey(_TRACK_O, 0.66666666666667, 1)
	effector:setKey(_TRACK_O, 0.70833333333333, 0)
	effector:setKey(_TRACK_O, 2.45833333333333, 0)
	effector:setKey(_TRACK_O, 2.5, 1)
	effector:setKey(_TRACK_O, 2.54166666666667, 1)
	effector:setKey(_TRACK_O, 2.58333333333333, 0)
	effector:setKey(_TRACK_O, 3.95833333333333, 0)
	effector:play()
 
 
	-- Layer head_man.png/2
	element = CreateCompositionElement(PREFIX_PATH.."head_man.png")
	element:setName("head_man.png/2")
	compositionman:addElement(element)
	element:setHotSpot(31.5, 42.5)
	element:setParentElement(compositionman)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_X, 0, 842.5)
	effector:setKey(_TRACK_Y, 0, 269.5)
	effector:setKey(_TRACK_X, 0.25, 842.5)
	effector:setKey(_TRACK_Y, 0.25, 269.5)
	effector:setKey(_TRACK_X, 1, 842.5)
	effector:setKey(_TRACK_Y, 1, 269.5)
	effector:setKey(_TRACK_X, 2.04166666666667, 842.5)
	effector:setKey(_TRACK_Y, 2.04166666666667, 269.5)
	effector:setKey(_TRACK_X, 3.66666666666667, 842.5)
	effector:setKey(_TRACK_Y, 3.66666666666667, 269.5)
	effector:setKey(_TRACK_X, 3.95833333333333, 842.5)
	effector:setKey(_TRACK_Y, 3.95833333333333, 269.5)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.25, 1)
	effector:setKey(_TRACK_SY, 0.25, 1)
	effector:setKey(_TRACK_SX, 1, 1)
	effector:setKey(_TRACK_SY, 1, 1)
	effector:setKey(_TRACK_SX, 2.04166666666667, 1)
	effector:setKey(_TRACK_SY, 2.04166666666667, 1)
	effector:setKey(_TRACK_SX, 3.66666666666667, 1)
	effector:setKey(_TRACK_SY, 3.66666666666667, 1)
	effector:setKey(_TRACK_SX, 3.95833333333333, 1)
	effector:setKey(_TRACK_SY, 3.95833333333333, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.25, 0)
	effector:setKey(_TRACK_A, 1, -0.07250278117146)
	effector:setKey(_TRACK_A, 2.04166666666667, -0.07250278117146)
	effector:setKey(_TRACK_A, 3.66666666666667, 0)
	effector:setKey(_TRACK_A, 3.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.25, 1)
	effector:setKey(_TRACK_O, 1, 1)
	effector:setKey(_TRACK_O, 2.04166666666667, 1)
	effector:setKey(_TRACK_O, 3.66666666666667, 1)
	effector:setKey(_TRACK_O, 3.95833333333333, 1)
	effector:play()
 
 
	-- Layer hand_man.png/3
	element = CreateCompositionElement(PREFIX_PATH.."hand_man.png")
	element:setName("hand_man.png/3")
	compositionman:addElement(element)
	element:setHotSpot(103.5, 11.5)
	compositionman:registerParentInfo("hand_man.png/3", "body_man.png/5")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_X, 0, 129)
	effector:setKey(_TRACK_Y, 0, 45.5)
	effector:setKey(_TRACK_X, 0.70833333333333, 129)
	effector:setKey(_TRACK_Y, 0.70833333333333, 45.5)
	effector:setKey(_TRACK_X, 3.5, 129)
	effector:setKey(_TRACK_Y, 3.5, 45.5)
	effector:setKey(_TRACK_X, 3.95833333333333, 129)
	effector:setKey(_TRACK_Y, 3.95833333333333, 45.5)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.70833333333333, 1)
	effector:setKey(_TRACK_SY, 0.70833333333333, 1)
	effector:setKey(_TRACK_SX, 3.5, 1)
	effector:setKey(_TRACK_SY, 3.5, 1)
	effector:setKey(_TRACK_SX, 3.95833333333333, 1)
	effector:setKey(_TRACK_SY, 3.95833333333333, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.70833333333333, 0)
	effector:setKey(_TRACK_A, 1.33333333333333, -0.02222199349271)
	effector:setKey(_TRACK_A, 2.58333333333333, -0.02222199349271)
	effector:setKey(_TRACK_A, 3.5, 0)
	effector:setKey(_TRACK_A, 3.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.70833333333333, 1)
	effector:setKey(_TRACK_O, 3.5, 1)
	effector:setKey(_TRACK_O, 3.95833333333333, 1)
	effector:play()
 
 
	-- Layer hand_r_man.png/4
	element = CreateCompositionElement(PREFIX_PATH.."hand_r_man.png")
	element:setName("hand_r_man.png/4")
	compositionman:addElement(element)
	element:setHotSpot(9.5, 13)
	compositionman:registerParentInfo("hand_r_man.png/4", "body_man.png/5")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_X, 0, 34.5)
	effector:setKey(_TRACK_Y, 0, 91.5)
	effector:setKey(_TRACK_X, 0.70833333333333, 34.5)
	effector:setKey(_TRACK_Y, 0.70833333333333, 91.5)
	effector:setKey(_TRACK_X, 3.5, 34.5)
	effector:setKey(_TRACK_Y, 3.5, 91.5)
	effector:setKey(_TRACK_X, 3.95833333333333, 34.5)
	effector:setKey(_TRACK_Y, 3.95833333333333, 91.5)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.70833333333333, 1)
	effector:setKey(_TRACK_SY, 0.70833333333333, 1)
	effector:setKey(_TRACK_SX, 3.5, 1)
	effector:setKey(_TRACK_SY, 3.5, 1)
	effector:setKey(_TRACK_SX, 3.95833333333333, 1)
	effector:setKey(_TRACK_SY, 3.95833333333333, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.70833333333333, 0)
	effector:setKey(_TRACK_A, 1.33333333333333, 0.0945256978948)
	effector:setKey(_TRACK_A, 2.58333333333333, 0.0945256978948)
	effector:setKey(_TRACK_A, 3.5, 0)
	effector:setKey(_TRACK_A, 3.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.70833333333333, 1)
	effector:setKey(_TRACK_O, 3.5, 1)
	effector:setKey(_TRACK_O, 3.95833333333333, 1)
	effector:play()
 
 
	-- Layer body_man.png/5
	element = CreateCompositionElement(PREFIX_PATH.."body_man.png")
	element:setName("body_man.png/5")
	compositionman:addElement(element)
	element:setHotSpot(89, 189)
	element:setParentElement(compositionman)
	element:setXY(827.5, 432)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:play()
 
	compositionman:play()
 
	return compositionman
end
 
